com.smartgwt.client.data

## Class Operator

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.data.Operator

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class Operator
      extends RefDataClass

  Specification of an operator for use in filtering, for example "equals". Use with `DataSource.addSearchOperator()` to define custom filtering behaviors for client-side filtering.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setEditorType(java.lang.String editorType)` For an operator with `OperatorValueType.CUSTOM`, indicates what kind of FormItem to use to provide a user interface for creating a valid `Criterion`.
    `void` | `setID(java.lang.String id)` Unique id for an operator, which appears within `AdvancedCriteria` as the `Operator` property.
    `void` | `setTitle(java.lang.String title)` User-visible title for this operator, such as "doesn't contain".
    `void` | `setValueType(OperatorValueType valueType)` Indicates the kind of value expected in a `Criterion` that uses this operator.

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Operator

          public Operator()

  - ### Method Detail

    - #### setID

          public void setID(java.lang.String id)

      Unique id for an operator, which appears within `AdvancedCriteria` as the `Operator` property.

      A list of built-in identifiers is `here`.

      Parameters:
        `id` -

    - #### setTitle

          public void setTitle(java.lang.String title)

      User-visible title for this operator, such as "doesn't contain".
      Parameters:
        `title` -

    - #### setValueType

          public void setValueType(OperatorValueType valueType)

      Indicates the kind of value expected in a `Criterion` that uses this operator. `OperatorValueType` lists possibilities.

      The default of `null` is equivalent to "fieldType", indicating that `Criterion.getValue()` is expected to contain a value of the same type as the field indicated by `Criterion.getFieldName()`.

      Parameters:
        `valueType` -

    - #### setEditorType

          public void setEditorType(java.lang.String editorType)

      For an operator with `OperatorValueType.CUSTOM`, indicates what kind of FormItem to use to provide a user interface for creating a valid `Criterion`. The default of `null` means an ordinary TextItem is fine.
      Parameters:
        `editorType` -